Bug 491314

Summary: gnome-terminal eats my mouse buttons
Product: [Fedora] Fedora Reporter: Steve Whitehouse <swhiteho>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: behdad, birger
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 04:04:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Steve Whitehouse 2009-03-20 08:01:47 EDT
Description of problem:

Using F-10, all the latest updates as of 20/3/2009. I've several times found myself stuck with the left mouse button apparently not working at all.

I've tried swapping to a text VT where everything was working fine. Swapping back to X the left mouse button was still not working.

Eventually I noticed that the common pattern was that gnome-terminal always had the focus when this happens.

All other keyboard functions and the mouse pointer seem entirely unaffected. The left button though seems to just stop working.

Version-Release number of selected component (if applicable):

[steve@dolmen ~]$ rpm -qi gnome-terminal
Name        : gnome-terminal               Relocations: (not relocatable)
Version     : 2.24.3                            Vendor: Fedora Project
Release     : 1.fc10                        Build Date: Thu 15 Jan 2009 10:30:10 PM GMT
Install Date: Tue 17 Mar 2009 04:46:53 AM GMT      Build Host: x86-5.fedora.phx.redhat.com
Group       : User Interface/Desktops       Source RPM: gnome-terminal-2.24.3-1.fc10.src.rpm
Size        : 5700753                          License: GPLv2+ and GFDL
Signature   : DSA/SHA1, Thu 29 Jan 2009 05:22:58 AM GMT, Key ID bf226fcc4ebfc273
Packager    : Fedora Project
URL         : http://www.gnome.org/
Summary     : Terminal emulator for GNOME
Description :
gnome-terminal is a terminal emulator for GNOME. It supports translucent
backgrounds, opening multiple terminals in a single window (tabs) and
clickable URLs.


How reproducible:


Steps to Reproduce:
1. Run a few apps on the desktop including gnome-terminal
2. Do usual swapping between them, and evetually the left mouse button stops responding while gnome-terminal has the focus.
3.
  
Actual results:

Left mouse button fails to respond

Expected results:

Left mouse button should allow change of focus, etc.

Additional info:

There is a workaround. Using Alt-Tab to change the focus to a different application results in the left mouse button once again regaining normal operation - at least until gnome-terminal grabs it again.
Comment 1 birger 2009-07-14 06:30:08 EDT
I see the same behaviour, except I see in it several apps. I have seen it both while working in a virtualbox VM (the whole VM window became unresponsive, so the problem was at the host, not in the VM) and in firefox.

I have been able to get back to a working state by clicking on the border of another app, and then on a button or menu inside that app. then go back to the app I was working in. Much the same as alt-tab. So my left button actually works for clicking on window borders (at least the title box at the top), and switching focus to a different application.
Clicking on a different window belonging to the same app is not enough (like clicking on the virtualbox admin window when the mouse doesn't work inside a vm window). It has to be a different app, it seems. When the unresponsive app != gnome-terminal, gnome-terminal is the one I usually use to wake it up again...

I always have a gnome-terminal running and I use it quite often during the day, so gnome-terminal could well be involved here. Could it be that it always happens when I switch from gnome-terminal to some other app? I'm not certain yet, but I will add a comment when I am.

This may also be a window manager issue. I run compiz (and cairo-dock if that is relevant in any way).
Comment 2 Bug Zapper 2009-11-18 06:33:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 birger 2009-11-18 08:28:42 EST
I cannot remember seeing this in F11 or F12. I don't have any F10 systems anymore :-)
Comment 4 Bug Zapper 2009-12-18 04:04:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.